com.icl.saxon.tree

## Interface NodeFactory

- All Known Implementing Classes:
    StyleNodeFactory

      public interface NodeFactory

  Interface NodeFactory.
  A Factory for nodes used to build a tree.
  Currently only allows Element nodes to be user-constructed.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementImpl` | `makeElementNode(NodeInfo parent, int nameCode, AttributeCollection attlist, int[] namespaces, int namespacesUsed, org.xml.sax.Locator locator, int sequenceNumber)` Create an Element node

- - ### Method Detail

    - #### makeElementNode

          ElementImpl makeElementNode(NodeInfo parent,
                                    int nameCode,
                                    AttributeCollection attlist,
                                    int[] namespaces,
                                    int namespacesUsed,
                                    org.xml.sax.Locator locator,
                                    int sequenceNumber)

      Create an Element node
      Parameters:
        `parent` - The parent element
        `name` - The element name
        `attlist` - The attribute collection, excluding any namespace attributes
        `namespaces` - List of new namespace declarations for this element, as a sequence of namespace codes representing pairs of strings: (prefix1, uri1), (prefix2, uri2)...
        `namespacesUsed` - the number of elemnts of the namespaces array actually used
        `locator` - Indicates the source document and line number containing the node
        `sequenceNumber` - Sequence number to be assigned to represent document order.